Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| fop 2.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.fop.fonts.apps
Class AbstractFontReader

    java.lang.Object
      org.apache.fop.fonts.apps.AbstractFontReader

Direct Known Subclasses:
  PFMReader, TTFReader

    public abstract class AbstractFontReader

extends java.lang.Object

Abstract base class for the PFM and TTF Reader command-line applications.

Field Summary
`protected static org.apache.commons.logging.Log` | `log` Logger instance

Constructor Summary
`protected` | `AbstractFontReader()` Main constructor.

Method Summary
`protected static void` | `determineLogLevel(java.util.Map options)` Determines the log level based of the options from the command-line.
`protected static java.lang.String[]` | `parseArguments(java.util.Map options, java.lang.String[] args)` Parse commandline arguments.
`protected static void` | `setLogLevel(java.lang.String level)` Sets the logging level.
`void` | `writeFontXML(org.w3c.dom.Document doc, java.io.File target)` Writes the generated DOM Document to a file.
`void` | `writeFontXML(org.w3c.dom.Document doc, java.lang.String target)` Writes the generated DOM Document to a file.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### log

    protected static final org.apache.commons.logging.Log log

  Logger instance

Constructor Detail

### AbstractFontReader

    protected AbstractFontReader()

  Main constructor.

Method Detail

### parseArguments

    protected static java.lang.String[] parseArguments(java.util.Map options,
                                                       java.lang.String[] args)

  Parse commandline arguments. put options in the HashMap and return arguments in the String array the arguments: -fn Perpetua,Bold -cn PerpetuaBold per.ttf Perpetua.xml returns a String[] with the per.ttf and Perpetua.xml. The hash will have the (key, value) pairs: (-fn, Perpetua) and (-cn, PerpetuaBold)

  Parameters:
    `options` - Map that will receive options
    `args` - the command-line arguments
  Returns:
    the arguments

### setLogLevel

    protected static void setLogLevel(java.lang.String level)

  Sets the logging level.

  Parameters:
    `level` - the logging level ("debug", "info", "error" etc., see Jakarta Commons Logging)

### determineLogLevel

    protected static void determineLogLevel(java.util.Map options)

  Determines the log level based of the options from the command-line.

  Parameters:
    `options` - the command-line options

### writeFontXML

    public void writeFontXML(org.w3c.dom.Document doc,
                             java.lang.String target)
                      throws javax.xml.transform.TransformerException

  Writes the generated DOM Document to a file.

  Parameters:
    `doc` - The DOM Document to save.
    `target` - The target filename for the XML file.
  Throws:
    `javax.xml.transform.TransformerException` - if an error occurs during serialization

### writeFontXML

    public void writeFontXML(org.w3c.dom.Document doc,
                             java.io.File target)
                      throws javax.xml.transform.TransformerException

  Writes the generated DOM Document to a file.

  Parameters:
    `doc` - The DOM Document to save.
    `target` - The target file for the XML file.
  Throws:
    `javax.xml.transform.TransformerException` - if an error occurs during serialization

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| fop 2.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 1999-2016 The Apache Software Foundation. All Rights Reserved.